For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribeCloudRouterAvailableVpcs

1. API Description

This API (DescribeCloudRouterAvailableVpcs) is used to query Available VPCs

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

vpcId

No

String

VPC ID.

pageSize

No

Integer

Page size to return. Default: 20, maximum: 100.

pageNum

No

Integer

Page number to return. Default: 1.

Default value: 1

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

Total number of VPCs matching the criteria.

dataSet

List of VPCs that can be added to the Cloud Router.

4. Code Example

1. Get the list of VPCs that can join a Cloud Router.

POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeCloudRouterAvailableVpcs
<Common Request Params>

Request:
{
  "vpcId": "your-vpc-id",
  "pageSize": 20,
  "pageNum": 1
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"TB1F3B1A1-DA70-4FF7-99D1-CEBEEFBAC95F",
    "totalCount":1,
    "dataSet":[
        {
            "vpcName":"VPC-MAD-A-01",
            "dataCenter":{
                "dcId":"MAD1",
                "cityName":"Madrid",
                "areaName":"Europe",
                "dcName":"Interxion_MAD2 ",
                "dcAddress":"Calle Albasanz, 73, Madrid, 28037, Spain",
                "countryName":"Spain",
                "latitude":40.4168,
                "longitude":-3.7038
            },
            "vpcId":"your-vpc-id",
            "cidrBlock":"10.0.0.0/8"
        }
    ]
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated